Add Task Comment
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"mention_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments"
payload = {
"content": "<string>",
"mention_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mention_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"task_id": "<string>",
"content": "<string>",
"mentions": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"edited_at": "2023-11-07T05:31:56Z"
}Tasks
Add Task Comment
Comment on a task. Mentioned staff members are notified.
POST
/
api
/
v1
/
tasks
/
{task_id}
/
comments
Add Task Comment
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"mention_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments"
payload = {
"content": "<string>",
"mention_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mention_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"task_id": "<string>",
"content": "<string>",
"mentions": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"edited_at": "2023-11-07T05:31:56Z"
}Authorizations
Headers
Path Parameters
Task UUID or identifier such as TASK-12
Body
application/json
